Servoy JasperReports Plugin - Defect #416

Error webclient compile report (Groovy ?)

02/03/2012 03:16 PM - Lambert Willemsen

Status: Closed Start date: 02/03/2012
Priority: Urgent Due date:

Assignee: Andrei Costache % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Browser (if web Firefox

client):

Description

In both version 3.2.0 and 3.3.0 b1

Smartclient works ok.

net.sf.jasperreports.engine.JRException: Errors were encountered when compiling report expressions class file:
org.codehaus.groovy.control.MultipleCompilationErrorsException: startup failed: calculator_saldi32balans_1328276064988_880597:
18: unable to resolve class JREvaluator line 18, column 1. calculator_saldi32balans 1328276064988 880597: 25: unable to resolve
class JRFillParameter line 25, column 5. calculator_saldi32balans_1328276064988 880597: 26: unable to resolve class
JRFillParameter line 26, column 5. calculator_saldi32balans 1328276064988 880597: 27: unable to resolve class JRFillParameter
line 27, column 5. calculator_saldi32balans_1328276064988_880597: 28: unable to resolve class JRFillParameter line 28, column
5. calculator_saldi32balans_1328276064988 880597: 29: unable to resolve class JRFillParameter line 29, column 5.
History

#1 - 02/03/2012 03:17 PM - Lambert Willemsen

- File saldi_balans.jrxml added

#2 - 08/27/2012 05:07 PM - Andrei Costache
- Status changed from New to In Progress
- Assignee set to Andrei Costache

- Component version set to 3.3.0 b1

Hi Lambert,

Did you have the groovy library in your /plugins/servoy_jasperreports directory? | assume that you created the report with iReport, and i see it has
groovy as scripting language, but maybe you are using the older basic version of the plugin, which did not provide groovy by default.
Or maybe you have created your report with a newer version of jasperreports provided in iReport and the plugin has an older one.

Regards,
Andrei

#3 - 08/28/2012 01:40 PM - Lambert Willemsen
Hi Andrei,

We are using the https://www.servoyforge.net/attachments/download/425/ChartNScript_Servoy JasperReports_Plugin_v.3.2.0.zip
File groovy-all-1.7.5.jar is present in the /plugins/servoy_jasperreports directory

Again : Always this error on different machines developer and application server when compiling with webclient. No error in Smartclient in same
configuration !

Regards,
Lambert.

#4 - 08/28/2012 09:18 PM - Andrei Costache

Just for the record: i see it also with Servoy 5.2.13 and plugin version 3.3 (web client).

#5 - 08/28/2012 11:14 PM - Lambert Willemsen

Things are now set in motion | guess...
I hope you find a solution, thanks in advance for looking into this.

Regards,
Lambert.

#6 - 09/05/2012 03:20 PM - Andrei Costache

Lambert, what iReport version are you using when creating the reports?

| suppose you are just trying to do something plugins.jasperPluginRMI.compileReport(...), yes?
#7 - 09/05/2012 04:24 PM - Lambert Willemsen

Andrei,

| uploaded an jrxml-file 7 months ago. I-report v 3.7.2.
The error is thrown when using plugins.jasperPluginRMI.compileReport()...

#8 - 09/05/2012 04:35 PM - Andrei Costache

Thank you for providing the details. Am looking into this and just want to make sure i know all pieces in the puzzle :)

#9 - 09/06/2012 09:15 AM - Andrei Costache
- Status changed from In Progress to Closed

- % Done changed from 0 to 100
Hi Lambert,
We found a fix for this. Although this issue appears to be a jasperreports issue (http://jasperforge.org/projects/jasperreports/tracker/view.php?id=5014

), which has been fixed in version 4.0.1, it still was reproducible on our side (i could see it also with the trunk version of the plugin, which we build
against jasperreports 4.6.0).

Everything seems to work fine; the fix is included in both versions of the plugin (3.3 and 4.0b1). Have tested in Servoy 5.2.x, Servoy 6.0.7 with version
3.3 of the plugin and also tested trunk version of the plugin against Servoy 6.0.7 and Servoy 6.1. All appears to be working well.

Thanks for the patience on this one! :)

Regards,
Andrei

#10 - 09/06/2012 09:29 AM - Lambert Willemsen
Thanks Andrei,
As said we work with plugin version 3.2 ...

Regards,
Lambert.

#11 - 09/06/2012 09:32 AM - Andrei Costache

| hope this fixed unblocked or eased upgrading to plugin version 3.3.0 or later, if that was the case.

Regards,
Andrei

04/26/2025 2/5


https://www.servoyforge.net/attachments/download/425/ChartNScript_Servoy_JasperReports_Plugin_v.3.2.0.zip
http://jasperforge.org/projects/jasperreports/tracker/view.php?id=5014

#12 - 11/26/2013 03:25 PM - Juan C. Cristobo

| receive the same error message using v4.0.1 of the plugin. Only webclient (no errors in developer)
#13 - 11/26/2013 10:15 PM - Andrei Costache
| am not sure if it is an option for you, but switching the scripting language of your report to Java should probably fix the issue.

Regards,
Andrei

#14 - 11/26/2013 10:21 PM - Lambert Willemsen

Andrei Costache wrote:
| am not sure if it is an option for you, but switching the scripting language of your report to Java should probably fix the issue.
Regards,
Andrei

Is there an issue with Groovy in v4.0.1 ?

We want to update to v4.0.1 and we have all our (customer) reports (1000+) with report language Groovy...

For the average report designer Groovy is so much easier than Java !!!

Regards,
Lambert Willemsen.

#15 - 11/28/2013 10:27 AM - Juan C. Cristobo
Andrei Costache wrote:
| am not sure if it is an option for you, but switching the scripting language of your report to Java should probably fix the issue.

I'm newbie about this, | don't know the differences between Java and Groovy when you design a report... Do | only change the report language, or |
have to change other parts of the report?

#16 - 11/28/2013 09:49 PM - Andrei Costache
Juan C. Cristobo wrote:
Andrei Costache wrote:
| am not sure if it is an option for you, but switching the scripting language of your report to Java should probably fix the issue.
I'm newbie about this, | don't know the differences between Java and Groovy when you design a report... Do | only change the report language,
or | have to change other parts of the report?
Hi Juan,
Just setting/changing the report language to Java or Groovy is a matter of setting a property for instance in iReport, on your report. Designing your

report used one language or the other as the scripting language is a different matter. It will require you to write expressions in your report differently;
for example, have a look at this url for Groovy expressions: http://community.jaspersoft.com/wiki/creating-expressions-using-groovy.

Hope this helps,
Andrei

#17 - 11/29/2013 12:12 PM - Juan C. Cristobo

| changed language to Java and it works, thanks!

| noticed that there's algo javascript as language, but | found no documentation about this...

#18 - 11/29/2013 04:36 PM - Lambert Willemsen
@Andrei : HELP !

We very much want to use Groovy as expression language !!

#19 - 11/29/2013 09:37 PM - Andrei Costache

Lambert Willemsen wrote:

04/26/2025 3/5


http://community.jaspersoft.com/wiki/creating-expressions-using-groovy

@Andrei : HELP !
We very much want to use Groovy as expression language !!

Please post the exception (if it's not the same as the one in the case description) and also details about your working environment (Servoy version,
report type), in case they different from the ones in the case info.

#20 - 11/30/2013 12:40 AM - Lambert Willemsen
Andrei,
| just reacted on your comment :
"l am not sure if it is an option for you, but switching the scripting language of your report to Java should probably fix the issue."
Do you believe somehow in recurring errors as this one was fixed one year ago ?
#21 - 11/30/2013 07:32 PM - Andrei Costache
Juan C. Cristobo wrote:
| changed language to Java and it works, thanks!
| noticed that there's algo javascript as language, but | found no documentation about this...
Juan, my suggestion was a quick workaround, but | suppose you have some Java expressions in your report and are compiling using Groovy as the
scripting language.
If you want to use Groovy, you code your expressions in the Groovy fashion. | am no Groovy language expert, but | think there are plenty of tutorials

on the web.
If you are not using Java expressions and still get the compilation error, please reopen this issue.

#22 - 11/30/2013 07:36 PM - Andrei Costache
Lambert Willemsen wrote:
Andrei,
| just reacted on your comment :
"l am not sure if it is an option for you, but switching the scripting language of your report to Java should probably fix the issue."

Do you believe somehow in recurring errors as this one was fixed one year ago ?

Hi Lambert,

My suggestion to Juan was a quick workaround/fix. Please see my comment for him.

If you use Groovy as your scripting language and code your reports accordingly, you should have no issue, it should work just fine.

In case you do have a problem, please reopen this case and provide some details (a stack).

Sorry if my comment for you was confusing earlier, but | supposed you had a new issue with this, that is why | asked for details. But, again, this
should work.

Hope this helps.

Regards,
Andrei

#23 - 12/02/2013 08:13 AM - Lambert Willemsen
Hi Andrei,
All clear now, thanks for your answer.

Regards,
Lambert.

#24 - 12/02/2013 10:12 AM - Juan C. Cristobo

Andrei Costache wrote:

If you want to use Groovy, you code your expressions in the Groovy fashion. | am no Groovy language expert, but | think there are plenty of
tutorials on the web.
If you are not using Java expressions and still get the compilation error, please reopen this issue.

| have no Java expressions in my reports, so | only changed scripting language from Groovy to Java and | works fine (without any errors).
As | said, if you open the report with iReport you can choose 3 scripting languages: Java, Groovy and Javascript. | had never seen the last option and

| wondered how it works...

Files
saldi_balans.jrxml 15.2 KB 02/03/2012 Lambert Willemsen

04/26/2025 5/5


http://www.tcpdf.org

